Bug 38448 - setting mount points for FAT partitions fails while unmounting
setting mount points for FAT partitions fails while unmounting
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
: 40105 40792 42474 53238 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-30 14:57 EDT by fabio
Modified: 2007-04-18 12:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-08 10:00:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fabio 2001-04-30 14:57:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)


Traceback (innermost last):
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 
19, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1925, in 
doInstall
    self.fstab.umountFilesystems(self.instPath)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 632, in 
umountFilesystems
    isys.umount(mntPoint, removeDir = 0)
  
File "/mnt/redhat/test/qa0408.4/i386/RedHat/instimage/usr/lib/anaconda/isys
.py", line 134, in umount
    raise ValueError, "isys.umount() can only umount by mount point"
ValueError: isys.umount() can only umount by mount point

Local variables in innermost frame:
what: /mnt/sysimage/mnt/temistocle
removeDir: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S'1024x768'
p4
sS'progressWindow'
p5
(igui
ProgressWindow
(dp6
S'total'
p7
I547
sS'window'
p8
(igtk
GtkWindow
(dp9
S'_o'
p10

<failed>


Reproducible: Didn't try
Steps to Reproduce:
1.I hadn'n sufficent space in /usr....... see you
2.
3.
	

Actual Results:  dump then restart the machine
Comment 1 fabio 2001-04-30 15:03:20 EDT
During the installation (i used disk druid) i've set the mount point also for 
windows partitions (ex: /mnt/temistocle). May be this the problem? Does the 
installation create the mount point for windows partitions? (ValueError: 
isys.umount() can only umount by mount point).....??
Comment 2 Brent Fox 2001-04-30 16:17:30 EDT
Try doing the install again without setting a mount point for your windows
partition.  Does this fix the problem?  There may be a problem with the
installer setting mount points for windows partitions.
Comment 3 fabio 2001-05-01 15:20:53 EDT
Without setting a mount point for windows partition it's all ok!!
That's the problem.
Comment 4 Brent Fox 2001-05-08 11:56:57 EDT
We are aware of this problem.  Thanks for your report.
Comment 5 Brent Fox 2001-05-10 15:49:47 EDT
*** Bug 40105 has been marked as a duplicate of this bug. ***
Comment 6 Brent Fox 2001-05-16 16:05:20 EDT
*** Bug 40792 has been marked as a duplicate of this bug. ***
Comment 7 Jack Kramer 2001-06-05 13:49:02 EDT
I too tried to install RH7.0 to a PC330 with builtin SCSI 2.1 GB drive.  During 
the install first tried in graphic mode and was bumped out after the anaconda 
prompt but tried again in text mode.  

THis seemed to work but when I chopped up my drive into several filesystems I 
was dumped with the below messages written to the anacdump.txt file and was 
asked to send it to bugzilla.  

THis was my first time at this but when I read this Bug report and saw the lines
Reproducible: Didn't try
Steps to Reproduce:
1.I hadn'n sufficent space in /usr....... see you
2.



Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 371, in 
__call__
    todo.x.probe (probeMonitor = 0)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/xf86config.py", line 793, in 
probe
    self.vidCards.append (self.cards (server[5:]))
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/xf86config.py", line 660, in 
cards
    lines = db.readlines ()
IOError: [Errno 5] Input/output error

Local variables in innermost frame:
server: W32
db: <open file '/usr/X11R6/lib/X11/Cards', mode 'r' at 8cfd008>
thecard: Cirrus Logic GD543x
self: <xf86config.XF86Config instance at 81df718>
cards: {'Generic I128': {'SERVER': 'I128', 'NAME': 'Generic I128'}, 'Generic 
W32': {'SERVER': 'W32', 'NAME': 'Generic W32'}, 'Generic Mach64': 
{'SERVER': 'Mach64', 'NAME': 'Generic Mach64'}, 'Generic Mach8': 
{'SERVER': 'Mach8', 'NAME': 'Generic Mach8'}, 'Generic Mono': 
{'SERVER': 'Mono', 'NAME': 'Generic Mono'}, 'Generic Mach32': 
{'SERVER': 'Mach32', 'NAME': 'Generic Mach32'}, 'Generic 3DLabs': 
{'SERVER': '3DLabs', 'NAME': 'Generic 3DLabs'}, 'Generic S3V': 
{'SERVER': 'S3V', 'NAME': 'Generic S3V'}, 'Generic FBDev': 
{'SERVER': 'FBDev', 'NAME': 'Generic FBDev'}, 'Generic P9000': 
{'SERVER': 'P9000', 'NAME': 'Generic P9000'}, 'Generic SVGA': 
{'SERVER': 'SVGA', 'NAME': 'Generic SVGA'}, 'Generic S3': 
{'SERVER': 'S3', 'NAME': 'Generic S3'}, 'Generic 8514': 
{'SERVER': '8514', 'NAME': 'Generic 8514'}}

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 8 Jack Kramer 2001-06-05 14:06:05 EDT
I too tried to install RH7.0 to a PC330 with builtin SCSI 2.1 GB drive.  During 
the install first tried in graphic mode and was bumped out after the anaconda 
prompt but tried again in text mode.  

THis seemed to work but when I chopped up my drive into several filesystems I 
was dumped with the below messages written to the anacdump.txt file and was 
asked to send it to bugzilla.  

This was my first time at this but when I read this Bug report and saw the lines
       Reproducible: Didn't try
       Steps to Reproduce:
       1.I hadn'n sufficent space in /usr....... see you
*******************************************************************
**  Oops looks like I sent this to the distribution by accident  **
**     I hit the tab twice and a space which seemed to send this **
**     I will add the rest of my comments now                    **
*******************************************************************
I decided to try the install again with a single large / file system plus a 
small 32 MB /boot and 128 MB swap.  I also had a 100MB DOS partition which I 
left and did not name or define a mount point.

THe second time I installed I also made fewer selections of packages to install 
in the custom section.

With the exception of my Xconfiguration (which probably caused the initial 
reboot) all when well.  

Now I'm off to look at why the integrated video card using a CirrusLogic GD5436 
{Alpine} chipset in an IBM PC330 scrambles.

Sorry for sending this message partially

Jack Kramer
864 244-7051




********************  anacdump.txt file ************************************

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 371, in 
__call__
    todo.x.probe (probeMonitor = 0)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/xf86config.py", line 793, in 
probe
    self.vidCards.append (self.cards (server[5:]))
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/xf86config.py", line 660, in 
cards
    lines = db.readlines ()
IOError: [Errno 5] Input/output error

Local variables in innermost frame:
server: W32
db: <open file '/usr/X11R6/lib/X11/Cards', mode 'r' at 8cfd008>
thecard: Cirrus Logic GD543x
self: <xf86config.XF86Config instance at 81df718>
cards: {'Generic I128': {'SERVER': 'I128', 'NAME': 'Generic I128'}, 'Generic 
W32': {'SERVER': 'W32', 'NAME': 'Generic W32'}, 'Generic Mach64': 
{'SERVER': 'Mach64', 'NAME': 'Generic Mach64'}, 'Generic Mach8': 
{'SERVER': 'Mach8', 'NAME': 'Generic Mach8'}, 'Generic Mono': 
{'SERVER': 'Mono', 'NAME': 'Generic Mono'}, 'Generic Mach32': 
{'SERVER': 'Mach32', 'NAME': 'Generic Mach32'}, 'Generic 3DLabs': 
{'SERVER': '3DLabs', 'NAME': 'Generic 3DLabs'}, 'Generic S3V': 
{'SERVER': 'S3V', 'NAME': 'Generic S3V'}, 'Generic FBDev': 
{'SERVER': 'FBDev', 'NAME': 'Generic FBDev'}, 'Generic P9000': 
{'SERVER': 'P9000', 'NAME': 'Generic P9000'}, 'Generic SVGA': 
{'SERVER': 'SVGA', 'NAME': 'Generic SVGA'}, 'Generic S3': 
{'SERVER': 'S3', 'NAME': 'Generic S3'}, 'Generic 8514': 
{'SERVER': '8514', 'NAME': 'Generic 8514'}}

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 9 Gleb Katenin 2001-06-09 14:32:39 EDT
Had the same experience with anaconda crashing during 7.1 installation. Didn't have enough space on the / filesystem.
Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in __call__
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1925, in doInstall
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 632, in umountFilesystems
  File "/usr/lib/anaconda/isys.py", line 134, in umount
    raise ValueError, "isys.umount() can only umount by mount point"
ValueError: isys.umount() can only umount by mount point

Local variables in innermost frame:
what: /mnt/sysimage/dos
removeDir: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(itext
ProgressWindow
(dp5
S'scale'
p6
NsS'screen'
p7
(isnack
SnackScreen
p8
(dp9
S'height'
p10
I25
sS'width'
p11
I80
sS'helpCb'
p12

<failed>
Comment 10 Brent Fox 2001-06-11 12:14:59 EDT
jack_kramer-
    I think you are seeing a totally different problem here.  Please file a
separate bug report.
Comment 11 Brent Fox 2001-06-11 12:35:55 EDT
*** Bug 42474 has been marked as a duplicate of this bug. ***
Comment 12 Brent Fox 2001-06-11 12:46:44 EDT
Although, I just tried setting mount points for two FAT parititions on my test
machine and was unable to duplicate the bug. Everything worked fine.
Comment 13 Brent Fox 2001-06-12 22:58:58 EDT
I don't know what to do about this bug.  A few people have seen this problem,
but I have been unable to reproduce it.
Comment 14 Need Real Name 2001-06-13 14:36:49 EDT
I get the same problem :

File "/usr/bin/anaconda.real", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in __call__
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1925, in 
doInstall
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 632, in 
umountFilesystems
  File "/usr/lib/anaconda/isys.py", line 134, in umount
    raise ValueError, "isys.umount() can only umount by mount point"
ValueError: isys.umount() can only umount by mount point


I try to update fro a RH 7.0, also i have a raid0 volume... will try to remove 
it from fstab and also unplug the 2 HDD b4 i try again.

Is that can occure when the installer try to mount a 'non standar' filesystem 
(like a windows files sys or a raid volume...) ?
Comment 15 Brent Fox 2001-06-26 16:02:32 EDT
Ok, what kind of installs are you all trying to do?  Partitionless or otherwise?
Comment 16 Need Real Name 2001-07-05 18:01:25 EDT
I am updating the actual systeme, so i am not asked to choose to make any partition. Actualy i have several partition using 4 HDD, the raid volume is used to store some data the system don't need to work (/ /usr /var /boot /home are on the regular partition on the first 2 hdd).
Comment 17 Brent Fox 2001-07-06 00:56:09 EDT
mbozio, does it help if you remove the raid sections from your /etc/fstab file?
 It would help if you could attach your /etc/fstab file.
Comment 18 Need Real Name 2001-07-08 10:00:40 EDT
i don't find the time yet to do it... i'll keep you updated.

/dev/sdb6               /                       ext2    defaults        1 1
/dev/sda1               /boot                   ext2    defaults        1 2
/dev/sda5               /home                   ext2    defaults        1 2
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/sdb1               /usr                    ext2    defaults        1 2
/dev/sdb5               /var                    ext2    defaults        1 2
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/sdb7               swap                    swap    defaults        0 0
/dev/md0  		/store  		ext2  	resuid=500,resgid=500  0  0
Comment 19 Brent Fox 2001-07-23 11:51:28 EDT
Closing due to inactivity. Please reopen if you have more information.
Comment 20 Matt Wilson 2001-09-05 22:38:24 EDT
*** Bug 53238 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.